Bug 243220 - comms/fldigi: build fail, probably on HAMLIB=off
Summary: comms/fldigi: build fail, probably on HAMLIB=off
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Diane Bruce
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-09 13:54 UTC by rozhuk.im
Modified: 2020-01-12 03:26 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (hamradio)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2020-01-09 13:54:15 UTC
pkg options comms/fldigi
fldigi - DOCS: off
fldigi - FLARQ: off
fldigi - HAMLIB: off
fldigi - NATIVE_OPT: off
fldigi - NLS: on
fldigi - OSS: on
fldigi - PULSEAUDIO: off

...
misc/configuration.cxx:547:2: error: use of undeclared identifier 'tabHamlib'; did you mean 'grpHamlib'?
        tabHamlib->parent()->remove(*tabHamlib);
        ^~~~~~~~~
        grpHamlib
./include/confdialog.h:710:18: note: 'grpHamlib' declared here
extern Fl_Group *grpHamlib;
                 ^
misc/configuration.cxx:547:31: error: use of undeclared identifier 'tabHamlib'; did you mean 'grpHamlib'?
        tabHamlib->parent()->remove(*tabHamlib);
                                     ^~~~~~~~~
                                     grpHamlib
./include/confdialog.h:710:18: note: 'grpHamlib' declared here
extern Fl_Group *grpHamlib;
                 ^
2 errors generated.

...
Comment 1 Diane Bruce freebsd_committer 2020-01-09 17:40:41 UTC
Upstream was to release 4.1.09 Thursday Jan 10 (from fldigi list)

Date: Sat, 4 Jan 2020 08:28:40 -0600                                            
From: w1hkj <w1hkj@bellsouth.net>    
...
To: {elided}  
Subject: next public release 4.1.09
...

  With the exception of updates to your po files (see attached for latest) the    next release 4.1.09 is ready.  I do not anticipate any changes before the public
release.  If possible I would like to have your po updates by Thursday of next  week, January 9, 2020. The public release will be scheduled for January 10th.  

I have reported the breakage in the ALPHA upstream hopefully it is corrected
by tomorrow January 10. I will re-roll the port then.

Thank you for your patience.
Comment 2 commit-hook freebsd_committer 2020-01-12 02:42:59 UTC
A commit references this bug:

Author: db
Date: Sun Jan 12 02:42:10 UTC 2020
New revision: 522743
URL: https://svnweb.freebsd.org/changeset/ports/522743

Log:
  Fix bug reported by bugzilla
  "Bug 243220: comms/fldigi: build fail, probably on HAMLIB=off  "
  with update to formal new release.

  This is the first update release in 6 months and contains many bug
  fixes, performance enhancements, non-English text translations, and new
  capabilities. Please review the fldigi.txt, reprinted below.

  ------------------------------------------------------------------------

                              Version 4.1.09
                                                    Thu Jan 10 18:00:00 2020

  config-dialog-mod
     * Modify config dialog creation to insure that locale translations apply
       to table entries

  MilliSleep
     * Change MINGW MilliSleep implementation to use nanosleep

  PO updates
     * Update po submissions from translation authors
     * Change Italian translator to Emanuale Repetto, IZ1UKX

  Alert/Rx-monitor playback
     * fix playback distortion on Pi3 internal sound card
       - sound OK on Cmedia thumb audio device
       - sound chopped/distorted on internal sound card
       - improved efficiency of portaudio callback function
       - increased sound data blocks to 1024 frames each frame 2 float values;
         right/left channel
     * Add alert stream volume control
     * Remove filter transients from rx audio stream
     * Update Alert configuration tab
     * Detect if use does not connect to audio alert device

  New Install
     * restore Data Source dialog tab to new install wizard
     * fix missing cell element that caused table to not redraw correctly after
       table resize or column resize

  Audio alerts disable
     * add enable/disable button to Audio Alerts playback device selection
       - opening a portaudio stream on unavailable device
       - caused segmentation fault
       - open stream now properly handled
       - default is disabled
     * fix seg fault bug on "new" install Wizard if audio alerts activated

  cw mods
     * change timing parameter ranges
     * change CW sample rate to 16000
     * change waterfall drop rate computation
       - drop rate independent of mode samplerate
     * simplified CW AFCW generation code
     * add CW keyline on DTR/RTS
     * correct Farnsworth timing
     * insure that initial state of DTR is disabled
     * CW TUNE using DTR / RTS pins

  Winkeyer
     * correct WK_online status detection

  Analysis mode
     * change displayed tracking frequency to .001 precision

  hamcall
     * fix to broken hamcall lookups

  RSID code assignments
     * Assigned secondary Rsid Codes:
       - DominoEX Micro: 691
       - ThorEX : 693

  ARRL CW bulletins
     * changes to CW modem and macro language to support bulleting transmissions by W1AW
     * add new transmit interval macro
         <!SKED:HHMMSS:YYYYMMDD> to provide segmented scheduling
       of transmission at exact date/time.
     * change right channel QSK/PTT signal to square wav
       - user configurable base frequency
     * correct Farnsworth timing
     * add timing compensation for more accurate WPM timing
     * modified to work with 1.2.0 nanoIO sketch

  lotw mangled report files
     * tqsl trace file occassionally mangled when read by fldigi function
       check_lotw_log.  delay reading file until no change in trace file size
       occurs with a 100 msec window
     * improved lotw message box contents based on lotw trace file contents
     * increase time-out delays waiting for tqsl trace file completion

  tree metaphor
     * change configuration dialog to use tree vice tab metaphor
     * update user documentation

  OS X Bus 10 error
     * Bug fix on OS X.

  Log ADIF export
     * Add fields to "all" export

  xmlrpc_rig
     * increase timeout to 5 seconds

  Display Logbook Datum
     * re-enable control of displaying logbook datum when starting program

  Rx monitor
     * add monitor audio stream to allow user to listen to unprocessed Rx audio stream
     * add Rx audio stream filter
     * create separate Rx Audio dialog
       - open on View menu pull down

  Combo Box behavior
     * add scrollwheel action to combo/list box behavior
     * add widget Fl_Group::do_callback() to event handler
     * correct FreqControl handler for scrollwheel

  cw prosigns
     * allow user to select cw prosign display
       - long view, <SK> <BT> ...
       - short view, as prosign short cut key defined on the CW prosign config' tab

  RTTY bell
     * enable BELL, visual and audible for TTY decoder
     * pass BELL, \a, and CR, \r to xml rx data stream
     * add RTTY bell waveform file
     * add user configuration controls to disable BELL annunciation
         * fixed Windows alert failure
         * added ctrl-shift-g to special character group to insert
           the <BEL>, 0x07 character into the transmit text
           - hold control and shift down and press g multiple times
             for a string of <BEL> insertions
         * clean up trailing edge of phone ring
         * implement separate thread for handling mp3 and wav
           file playback.
           - removes dr_mp processing from main thread
           - prevents main thread locking during mp3/wav file
             processing

  MinGW mods
     * changes imposed by changes to gcc and mxe components
     * modifications to accommodate changes in mingw libraries and headers

  CW International Chars

  mp3
     * Add mp3 decoder for mp3 files
       - uses public domain decoder drmp3
       - Audio playback, and
       - Alerts

  macros
     * Allow CWID execution at specified position in macro text
     * Modify macro tag <TIMER:nnn> to always start when state changes from Tx to Rx.
     * Add <# comments> tag.  Works same as <COMMENT:comments> tag
     * Correct coding for proper operation of <SKED:..., <TIMER:...
       and <REPEAT...> tags.
     * Implement <UNTIL:hhmm[ss]:[YYYYMMDD]> macro tag
       - halts macro at specified date/time when either <REPEAT>,
         or <TIMER:nn> are specified in the macro text.

  Xmt Audio file
     * Add ability to transmit an audio file using new macro tag: <AUDIO:path-filename>
       - macro editor opens an OS select file dialog
         when the tag is selected from the pick list suggested use:
           <MODEM:NULL><TX>
           <AUDIO:path-filename-1>
           <AUDIO:path-filename-2>
           <RX><@MODEM:BPSK31>
         or modem type of choice
     * Audio file must be wav format, either mono or stereo any sample rate
     * Returning to Rx stops current and any pending audio playback.  Post Tx
       macro tags are then executed.  T/R button or Escape key will abort the playback.
     * Please use responsibly - know and understand your license limitations for
       transmitting audio files, especially music and/or copyrighted material.

  Alerts
     * Correct test for no output device
       - do not use pa error handler
     * Add ability to select the pa device for alerts output
       - was using default device
       - detect device default sample rate
       - convert all sound files to def sr using fastest sinc converter
     * Change output to use pa callbacks

  Data file update
     * Update/correction to file NAVTEX_stations.csv
       - contributed by N2RY

  flrig freq/mode
     * Change order of sending frequency and mode to mode then frequency

  Fltk 1.4.x
     * Change to startup resize on MacOS built against fltk-1.4.x

  Wefax autosave
     * Change max lines to counter min=1000, max = 1000

  Update check
     * correct logic for update checking

  WEFAX AFC
     * Fix wefax AFC computation / application
       - incorrect computation of center frequency
     * Disallow audio stream playback on WEFAX
       - not compatible with HAMFAX class decoder
     * Remove status display messages
       - state changes still logged to event log
     * Force ".png" file extension on saved images
     * wefax code cleanup

  ------------------------------------------------------------------------

  PR:		ports/243220
  Submitted by:	bugzilla

Changes:
  head/comms/fldigi/Makefile
  head/comms/fldigi/distinfo
Comment 3 rozhuk.im 2020-01-12 03:26:52 UTC
Thanks!